=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2007-08-15 13:58:54 +0000
+++ bzrlib/revision.py	2007-08-15 14:03:15 +0000
@@ -117,6 +117,11 @@
         """
         return self.message.lstrip().split('\n', 1)[0]
 
+    def get_author(self):
+        """Get the author of this revision.
+        """
+        return self.properties.get('author', self.committer)
+
 
 def is_ancestor(revision_id, candidate_id, branch):
     """Return true if candidate_id is an ancestor of revision_id.

=== modified file 'bzrlib/tests/test_revision.py'
--- bzrlib/tests/test_revision.py	2007-08-15 13:58:54 +0000
+++ bzrlib/tests/test_revision.py	2007-08-15 14:03:15 +0000
@@ -321,3 +321,10 @@
         self.assertEqual('a', r.get_summary())
         r.message = '\na\nb'
         self.assertEqual('a', r.get_summary())
+
+    def test_get_author(self):
+        r = revision.Revision('1')
+        r.committer = 'A'
+        self.assertEqual('A', r.get_author())
+        r.properties['author'] = 'B'
+        self.assertEqual('B', r.get_author())

